$(document).ready(function()
{
    $.setAjaxForm('#statForm', function(response)
    {
        if(response.messageTip) $.zui.messager.success(response.messageTip);
        if(response.locate) setTimeout(function(){location.href = response.locate;}, 1200);
        return false;
    });

    if(v.mode == 'edit')
    {
        $('tr.edit').show();
        $('tr.view').hide();
    }
    else
    {
        $('tr.edit').hide();
        $('tr.view').show();
    }

    $('.singleEdit').click(function()
    {
        if($('tr.edit').is(':visible')) return false;

        $(this).parents('tr').next('tr.edit').show();
        $(this).parents('tr').next('tr.edit').children('td.singleSave').show();
        $(this).parents('tr').hide();
    })

    /* expand active tree. */
    $('.tree').tree('expandSelect', '.active');
})
